This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 2468 - Problem with popt header (popt.h)
Problem with popt header (popt.h)
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: popt (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-01 15:10 EDT by wp0002
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-04 11:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wp0002 1999-05-01 15:10:48 EDT
popt.h does not contain a extern "C" clause to prevent
function mangling when using a C++ compiler.  This causes
the symbols in libpopt to not be found by g++ when
compiling.
Comment 1 Jeff Johnson 1999-05-04 11:47:59 EDT
This has been fixed in (at least) Red Hat 6.0 popt-1.3-1 and
in the popt CVS repository. Recompile and install the popt-1.3 from
Red Hat 6.0.

Note You need to log in before you can comment on or make changes to this bug.